### Method

# EDataServer SourceSMIME set_encrypt_by_default

since: 3.6

#### Declaration [src]

    void
    e_source_smime_set_encrypt_by_default (
      ESourceSMIME* extension,
      gboolean encrypt_by_default
    )

#### Description [src]

Sets whether to encrypt outgoing messages by default using S/MIME software such as Mozilla Network Security Services (NSS).

Available since: 3.6

Sets property | `EDataServer.SourceSMIME:encrypt-by-default`

#### Parameters

`encrypt_by_default`

  Type: `gboolean`

  Whether to encrypt outgoing messages by default.